using System;
using System.Collections.Generic;
using System.Linq;
using System.ComponentModel;
using System.Text;

namespace Domain
{
    public enum DeviceType
    {
        /// <summary>
        /// 主机继电器
        /// </summary>
        [Description("主机继电器")]
        Relay = 1,
        /// <summary>
        /// 弱电输出
        /// </summary>
        [Description("弱电输出")]
        LVout = 3,
        /// <summary>
        /// 服务信息
        /// </summary>
        [Description("服务信息")]
        ServiceInfo = 4,
        /// <summary>
        /// 窗帘
        /// </summary>
        [Description("窗帘")]
        Curtain = 5,
        /// <summary>
        /// 开关扩展
        /// </summary>
        [Description("开关扩展")]
        SwitchExpand = 6,
        /// <summary>
        /// 空调
        /// </summary>
        [Description("空调")]
        AirConditioner = 7,
        /// <summary>
        /// 红外感应
        /// </summary>
        [Description("红外感应")]
        InFrared = 8,
        /// <summary>
        /// 空气质量检测
        /// </summary>
        [Description("空气质量检测")]
        AirDetect = 9,
        /// <summary>
        /// 插卡取电
        /// </summary>
        [Description("插卡取电")]
        CardPower = 10,
        /// <summary>
        /// 地暖
        /// </summary>
        [Description("地暖")]
        FloorHot = 11,
        /// <summary>
        /// 扩展继电器
        /// </summary>
        [Description("扩展继电器")]
        Expand = 14,
        /// <summary>
        /// 电视
        /// </summary>
        [Description("电视")]
        TV = 15,
        /// <summary>
        /// LED调光
        /// </summary>
        [Description("LED调光")]
        Dimmer = 16,
        /// <summary>
        /// 可控硅调光
        /// </summary>
        [Description("可控硅调光")]
        Traic = 17,
        /// <summary>
        /// 灯带调光
        /// </summary>
        [Description("灯带调光")]
        Strip = 18,
        /// <summary>
        /// PWM调光
        /// </summary>
        [Description("PWM调光")]
        PWMDimmer = 23,
        /// <summary>
        /// PWM扩展
        /// </summary>
        [Description("PWM扩展")]
        PWMExpand = 24,
        /// <summary>
        /// 音乐
        /// </summary>
        [Description("音乐")]
        Music = 21,
        /// <summary>
        /// 微信锁
        /// </summary>
        [Description("微信锁")]
        WXLock = 20,
        /// <summary>
        /// PB LED
        /// </summary>
        [Description("PB LED")]
        PBLED = 25,
        /// <summary>
        /// 485A9IO继电器
        /// </summary>
        [Description("485A9IO继电器")]
        A9IORelay = 28,
        /// <summary>
        /// PB20
        /// </summary>
        [Description("PB20")]
        PB20 = 30,
        /// <summary>
        /// PB20-LD
        /// </summary>
        [Description("PB20-LD")]
        PB20_LD = 31,
        /// <summary>
        /// PB20-LS
        /// </summary>
        [Description("PB20-LS")]
        PB20_LS = 32,
        /// <summary>
        /// PB20-RELAY
        /// </summary>
        [Description("PB20-RELAY")]
        PB20_RELAY = 33,
        /// <summary>
        /// 色温
        /// </summary>
        [Description("色温")]
        ColorTemp = 34,

        /// <summary>
        /// 地址是054000001
        /// </summary>
        [Description("碳达人")]
        CarbonVIP = 54,

        //窗帘地址是：013001000
        [Description("485窗帘")]
        Curtain485 =100 
    }
    //public enum OldDeviceType
    //{
    //    /// <summary>
    //    /// 灯光
    //    /// </summary>
    //    [Description("灯光")]
    //    Light = 0,
    //    /// <summary>
    //    /// 调光灯
    //    /// </summary>
    //    [Description("调光")]
    //    LightDimmer = 1,
    //    /// <summary>
    //    /// 空调1
    //    /// </summary>
    //    [Description("空调1")]
    //    AirConditioner1 = 3,
    //    /// <summary>
    //    /// 空调2
    //    /// </summary>
    //    [Description("空调2")]
    //    AirConditioner2 = 14,
    //    /// <summary>
    //    /// 空调3
    //    /// </summary>
    //    [Description("空调3")]
    //    AirConditioner3 = 15,
    //    /// <summary>
    //    /// 空调4
    //    /// </summary>
    //    [Description("空调4")]
    //    AirConditioner4 = 16,
    //    /// <summary>
    //    /// 窗帘
    //    /// </summary>
    //    [Description("窗帘")]
    //    Curtain = 6,
    //    /// <summary>
    //    /// 窗纱
    //    /// </summary>
    //    [Description("窗纱")]
    //    Gauze = 7
    //}

    public enum DeviceSubtype
    {
        /// <summary>
        /// 风速高
        /// </summary>
        SpeedHigh = 0,

        /// <summary>
        /// 风速中
        /// </summary>
        SpeedMiddle = 1,

        /// <summary>
        /// 风速低
        /// </summary>
        SpeedLow = 2,

        /// <summary>
        /// 热阀开
        /// </summary>
        HotValve = 3,

        /// <summary>
        /// 冷阀开
        /// </summary>
        ColdValve = 4,

        /// <summary>
        /// 窗帘开
        /// </summary>
        CurtainOpen = 5,

        /// <summary>
        /// 窗帘关
        /// </summary>
        CurtainClose = 6,

        /// <summary>
        /// 窗纱开
        /// </summary>
        GauzeOpen = 7,

        /// <summary>
        /// 窗纱关
        /// </summary>
        GauzeClose = 8
    }
}
